#ifndef RTE_TIM40_H__
#define RTE_TIM40_H__
#include "stdint.h"



#define RTE_TIM40_CH0       (0U)  
#define RTE_TIM40_CH1       (1U)  
#define RTE_TIM40_CH2       (2U)  
#define RTE_TIM40_CH3       (3U)
#define RTE_TIM40_CH_SUM    (4U)
#define RTE_TIM40_PERIOD_FILTER_SUM (5U)

#define RTE_VSPEED_CAP_CH   RTE_TIM40_CH2
#define RTE_ENGINE_CAP_CH   RTE_TIM40_CH1


uint32_t RTE_ENGINE_Freq_Get(void);
uint32_t RTE_VSPEED_Freq_Get(void);

extern void RTE_CAPTURE_Wakeup_Init(void);
extern void RTE_CAPTURE_KL30_Init(void);
extern void RTE_CAPTURE_Sleep_Init(void);

#endif

